GNU Radio 2.x: Templateswigpy::PySequence_Cont< T > struct Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# swigpy::PySequence_Cont< T > Struct Template Reference

List of all members.

### template<class T>
struct swigpy::PySequence_Cont< T >

## Public Types
typedef PySequence_Ref< T > | reference
typedef const PySequence_Ref< T > | const_reference
typedef T | value_type
typedef T * | pointer
typedef int | difference_type
typedef int | size_type
typedef const pointer | const_pointer
typedef PySequence_Iter< T, reference > | iterator
typedef PySequence_Iter< T, const_reference > | const_iterator
## Public Member Functions
| PySequence_Cont (PyObject *seq)
| ~PySequence_Cont ()
size_type | size () const
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reference | operator[] (difference_type n)
const_reference | operator[] (difference_type n) const
bool | check (bool set_err=true) const

## Member Typedef Documentation

template<class T>
typedef PySequence_Iter<T, const_reference> swigpy::PySequence_Cont< T >::const_iterator

template<class T>
typedef const pointer swigpy::PySequence_Cont< T >::const_pointer

template<class T>
typedef const PySequence_Ref<T> swigpy::PySequence_Cont< T >::const_reference

template<class T>
typedef int swigpy::PySequence_Cont< T >::difference_type

template<class T>
typedef PySequence_Iter<T, reference> swigpy::PySequence_Cont< T >::iterator

template<class T>
typedef T* swigpy::PySequence_Cont< T >::pointer

template<class T>
typedef PySequence_Ref<T> swigpy::PySequence_Cont< T >::reference

template<class T>
typedef int swigpy::PySequence_Cont< T >::size_type

template<class T>
typedef T swigpy::PySequence_Cont< T >::value_type

## Constructor & Destructor Documentation

template<class T>
swigpy::PySequence_Cont< T >::PySequence_Cont | ( | PyObject * | seq | ) | `[inline]`

template<class T>
swigpy::PySequence_Cont< T >::~PySequence_Cont | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
const_iterator swigpy::PySequence_Cont< T >::begin | ( |  | ) | const`[inline]`

template<class T>
iterator swigpy::PySequence_Cont< T >::begin | ( |  | ) | `[inline]`

template<class T>
bool swigpy::PySequence_Cont< T >::check | ( | bool | set_err = true | ) | const`[inline]`

template<class T>
bool swigpy::PySequence_Cont< T >::empty | ( |  | ) | const`[inline]`

template<class T>
const_iterator swigpy::PySequence_Cont< T >::end | ( |  | ) | const`[inline]`

template<class T>
iterator swigpy::PySequence_Cont< T >::end | ( |  | ) | `[inline]`

template<class T>
const_reference swigpy::PySequence_Cont< T >::operator[] | ( | difference_type | n | ) | const`[inline]`

template<class T>
reference swigpy::PySequence_Cont< T >::operator[] | ( | difference_type | n | ) | `[inline]`

template<class T>
size_type swigpy::PySequence_Cont< T >::size | ( |  | ) | const`[inline]`

The documentation for this struct was generated from the following file:

- gnuradio_swig_python.cc